@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.7t9tbfaemk.bundle.scp.css';
@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.25o87uqmvr.bundle.scp.css';

/* _content/MynaWebApp/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-avubzkt6sh] {
    position: relative;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

main[b-avubzkt6sh] {
    flex: 1;
}


@media (max-width: 640.98px) {
    .top-row[b-avubzkt6sh] {
        justify-content: space-between;
    }

    .top-row[b-avubzkt6sh]  a, .top-row[b-avubzkt6sh]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-avubzkt6sh] {
        flex-direction: row;
    }

    .sidebar[b-avubzkt6sh] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-avubzkt6sh] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-avubzkt6sh]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-avubzkt6sh] {
        padding-left: 0rem !important;
        padding-right: 0rem !important;
    }

    article[b-avubzkt6sh] {

        padding-top: 1rem !important;
        padding-left: 2rem !important;
        padding-right: 2rem !important;
    }
}

#blazor-error-ui[b-avubzkt6sh] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-avubzkt6sh] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/MynaWebApp/Components/Layout/NavMenu.razor.rz.scp.css */
.sidebar[b-odbjtup34g] {
    background-color: #01C6B2;
}

/* TODO: Some of these will need to be added to the Nav Menu*/
.top-row[b-odbjtup34g] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-odbjtup34g]  a, .top-row[b-odbjtup34g]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-odbjtup34g]  a:hover, .top-row[b-odbjtup34g]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-odbjtup34g]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

.mud-nav-item[b-odbjtup34g] {
    width: auto !important;
}
